### Name: FANOVA
### Title: Sensitivity Analysis for Gaussian Processes and Gaussian Process
###   Lists
### Aliases: FANOVAFunctions OverallMean ANOVAMainEffect
###   ANOVAInteractionEffect FunctionalVariance
### Keywords: internal htest

### ** Examples


## Not run: 
##D ## do not run the following code unless the library adapt is loaded ##
##D ## fit the Gaussian process ##
##D x1 = kronecker(seq(0,1,by=.25), rep(1,5))
##D x2 = rep(seq(0,1,by=.25),5)
##D z = 4 * x1 - 2*x2 + x1 * x2 + rnorm(length(x1))
##D fit = mlegp(cbind(x1,x2), z, param.names = c("x1", "x2"))
##D 
##D ## calculate the proportion of total variance accounted for by x1 ##
##D 
##D ANOVAMainEffect(fit, "x1") / FunctionalVariance(fit) * 100
##D ## check this against 'FANOVADecomposition' ##
##D FANOVADecomposition(fit)
## End(Not run)




